Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
Halide::Internal::Autoscheduler::BoundContents Struct Reference

`#include <FunctionDAG.h>`

## Classes
class | Layout

## Public Member Functions
Span * | data () const
Span & | region_required (int i)
Span & | region_computed (int i)
Span & | loops (int i, int j)
const Span & | region_required (int i) const
const Span & | region_computed (int i) const
const Span & | loops (int i, int j) const
BoundContents * | make_copy () const
void | validate () const
Span * | data () const
Span & | region_required (int i)
Span & | region_computed (int i)
Span & | loops (int i, int j)
const Span & | region_required (int i) const
const Span & | region_computed (int i) const
const Span & | loops (int i, int j) const
BoundContents * | make_copy () const
void | validate () const

## Public Attributes
RefCount | ref_count
const Layout * | layout = nullptr

## Detailed Description

Definition at line 274 of file FunctionDAG.h.

## Member Function Documentation

## ◆ data() [1/2]

Span * Halide::Internal::Autoscheduler::BoundContents::data | ( |  | ) | const
| inline

Definition at line 280 of file FunctionDAG.h.

Referenced by loops(), loops(), make_copy(), region_computed(), region_computed(), region_required(), and region_required().

## ◆ region_required() [1/4]

Span & Halide::Internal::Autoscheduler::BoundContents::region_required | ( | int | i | ) |
| inline

Definition at line 285 of file FunctionDAG.h.

References Halide::cast(), and data().

## ◆ region_computed() [1/4]

Span & Halide::Internal::Autoscheduler::BoundContents::region_computed | ( | int | i | ) |
| inline

Definition at line 289 of file FunctionDAG.h.

References Halide::cast(), Halide::Internal::Autoscheduler::BoundContents::Layout::computed_offset, data(), and layout.

## ◆ loops() [1/4]

Span & Halide::Internal::Autoscheduler::BoundContents::loops | ( | int | i,
|  | int | j
| ) |  |
| inline

Definition at line 293 of file FunctionDAG.h.

References Halide::cast(), data(), layout, and Halide::Internal::Autoscheduler::BoundContents::Layout::loop_offset.

## ◆ region_required() [2/4]

const Span & Halide::Internal::Autoscheduler::BoundContents::region_required | ( | int | i | ) | const
| inline

Definition at line 297 of file FunctionDAG.h.

References Halide::cast(), and data().

## ◆ region_computed() [2/4]

const Span & Halide::Internal::Autoscheduler::BoundContents::region_computed | ( | int | i | ) | const
| inline

Definition at line 301 of file FunctionDAG.h.

References Halide::cast(), Halide::Internal::Autoscheduler::BoundContents::Layout::computed_offset, data(), and layout.

## ◆ loops() [2/4]

const Span & Halide::Internal::Autoscheduler::BoundContents::loops | ( | int | i,
|  | int | j
| ) |  | const
| inline

Definition at line 305 of file FunctionDAG.h.

References Halide::cast(), data(), layout, and Halide::Internal::Autoscheduler::BoundContents::Layout::loop_offset.

## ◆ make_copy() [1/2]

BoundContents * Halide::Internal::Autoscheduler::BoundContents::make_copy | ( |  | ) | const
| inline

Definition at line 309 of file FunctionDAG.h.

References data(), layout, Halide::Internal::Autoscheduler::BoundContents::Layout::make(), memcpy(), and Halide::Internal::Autoscheduler::BoundContents::Layout::total_size.

## ◆ validate() [1/2]

void Halide::Internal::Autoscheduler::BoundContents::validate | ( |  | ) | const

## ◆ data() [2/2]

Span * Halide::Internal::Autoscheduler::BoundContents::data | ( |  | ) | const
| inline

Definition at line 310 of file FunctionDAG.h.

## ◆ region_required() [3/4]

Span & Halide::Internal::Autoscheduler::BoundContents::region_required | ( | int | i | ) |
| inline

Definition at line 315 of file FunctionDAG.h.

References Halide::cast(), and data().

## ◆ region_computed() [3/4]

Span & Halide::Internal::Autoscheduler::BoundContents::region_computed | ( | int | i | ) |
| inline

Definition at line 319 of file FunctionDAG.h.

References Halide::cast(), Halide::Internal::Autoscheduler::BoundContents::Layout::computed_offset, data(), and layout.

## ◆ loops() [3/4]

Span & Halide::Internal::Autoscheduler::BoundContents::loops | ( | int | i,
|  | int | j
| ) |  |
| inline

Definition at line 323 of file FunctionDAG.h.

References Halide::cast(), data(), layout, and Halide::Internal::Autoscheduler::BoundContents::Layout::loop_offset.

## ◆ region_required() [4/4]

const Span & Halide::Internal::Autoscheduler::BoundContents::region_required | ( | int | i | ) | const
| inline

Definition at line 327 of file FunctionDAG.h.

References Halide::cast(), and data().

## ◆ region_computed() [4/4]

const Span & Halide::Internal::Autoscheduler::BoundContents::region_computed | ( | int | i | ) | const
| inline

Definition at line 331 of file FunctionDAG.h.

References Halide::cast(), Halide::Internal::Autoscheduler::BoundContents::Layout::computed_offset, data(), and layout.

## ◆ loops() [4/4]

const Span & Halide::Internal::Autoscheduler::BoundContents::loops | ( | int | i,
|  | int | j
| ) |  | const
| inline

Definition at line 335 of file FunctionDAG.h.

References Halide::cast(), data(), layout, and Halide::Internal::Autoscheduler::BoundContents::Layout::loop_offset.

## ◆ make_copy() [2/2]

BoundContents * Halide::Internal::Autoscheduler::BoundContents::make_copy | ( |  | ) | const
| inline

Definition at line 339 of file FunctionDAG.h.

References data(), layout, Halide::Internal::Autoscheduler::BoundContents::Layout::make(), memcpy(), and Halide::Internal::Autoscheduler::BoundContents::Layout::total_size.

## ◆ validate() [2/2]

void Halide::Internal::Autoscheduler::BoundContents::validate | ( |  | ) | const

## Member Data Documentation

## ◆ ref_count

RefCount Halide::Internal::Autoscheduler::BoundContents::ref_count
| mutable

Definition at line 275 of file FunctionDAG.h.

## ◆ layout

const Layout * Halide::Internal::Autoscheduler::BoundContents::layout = nullptr

Definition at line 278 of file FunctionDAG.h.

Referenced by loops(), loops(), make_copy(), region_computed(), and region_computed().

The documentation for this struct was generated from the following files:

- src/autoschedulers/adams2019/FunctionDAG.h
- src/autoschedulers/anderson2021/FunctionDAG.h